package de.hft.stuttgart.citydoctor2.gui;

import de.hft.stuttgart.citydoctor2.datastructure.Vertex;
import javafx.scene.input.MouseEvent;

public class VertexClickDispatcher implements ClickDispatcher {
	
	private Vertex v;

	public VertexClickDispatcher(Vertex v) {
		this.v = v;
	}

	@Override
	public void click(MouseEvent me, ClickHandler handler) {
		handler.onVertexClick(v, me);
	}

}
